% (C) Mario Guimaraes 24 Nov 2001

function dispgen(filename)

try
    load(strcat('runs\history\', filename, '.mat'));
catch
    error(sprintf('History file %s not found.', filename));
end

for idx = 1:size(ahistory.genkey, 1)
    cini = ahistory.gencost(idx,1);
    cfin = ahistory.gencost(idx,2);
    disp(sprintf('%4d %6d %6d %7.4f %s', idx, cini, cfin, (cini-cfin)/cini, ahistory.genkey{idx}));
end