% (C) Mario Guimaraes 31 Dez 2001

function plottest(filename, aidx, sparams)

toks{2} = 'ou';
toks{3} = 'u';
toks{4} = 'fm';
toks{5} = 'fok';
toks{6} = 'fbad';
toks{7} = 'fgood';

toks{8} = '0m';
toks{9} = '0mr';
toks{10} = '0ok';
toks{11} = '0ok2';
toks{12} = '0bad';
toks{13} = '0bad2';
toks{14} = '0good';

toks{15} = 'm';
toks{16} = 'mr';
toks{17} = 'ok';
toks{18} = 'ok2';
toks{19} = 'bad';
toks{20} = 'bad2';
toks{21} = 'good';

toks{22} = 's';
toks{23} = 'su';
toks{24} = 'sm';

try
    load(strcat('runs\history\', filename, '.mat'));
catch
    error(sprintf('History file %s not found.', filename));
end

if nargin <= 1
    aidx = 1:size(ahistory.tkey, 1);
    atok = 21;
else
    if isempty(aidx), aidx = 1:size(ahistory.tkey, 1); end;
    
    if nargin == 2
        atok = 21;
    else
        i = 1;
        [t, sparams] = strtok(sparams, ',');
        
        while ~isempty(t)
            t = rmvspc(t);

            for j = 1:size(toks, 2)
                if strcmp(t, toks{j})
                    atok(i) = j;
                    i = i + 1;  
                end
            end
            
            [t, sparams] = strtok(sparams, ',');
        end
    end
end

nlen = length(atok);

if nlen == 0, error('No data to plot !'); end;

col = 1;
axdata = ahistory.tdata{1}(:,1);
nsize = length(axdata);

for idx = aidx
    if size(ahistory.tdata{idx}, 1) ~= nsize, error('Different sizes for x-axis !'); end; % this is a weak test because we don't test for x-axis equality
    aplotdata(:,col:(col+nlen-1)) = ahistory.tdata{idx}(:,atok);
    col = col + nlen;
end

plot(axdata, aplotdata);


function strout = rmvspc(s)
d = find(s ~= ' ');
strout = s(d);