% (C) Mario Guimaraes 24 Nov 2001

function runscript(scriptfile)
global root;
clear global ahistory;

if ~exist(strcat('tests\', scriptfile, '.m'), 'file') & ~exist(strcat('tests\', scriptfile), 'file')
    error(sprintf('Script file %s not found.', scriptfile));
end

if strcmp(scriptfile(end-1:end), '.m')
    historyfile = strcat('runs\history\', scriptfile(1:end-2), '.mat');
else
    historyfile = strcat('runs\history\', scriptfile, '.mat');
end  

if ~exist(strcat('runs\history'), 'dir'), mkdir('runs\history'); end;

loadhistory(historyfile);

root = cd;
cd('tests');

try
    eval(scriptfile);
    cd(root);
catch
    cd(root);
    error(lasterr);
end

savehistory(historyfile);


function loadhistory(filename)
global ahistory;

try
    load(filename, '-mat');
catch
    ahistory.genkey = cell(0,1);
    ahistory.gencost = zeros(0,2);
    ahistory.tkey = cell(0,1);
    ahistory.tdata = cell(0,1);
end


function savehistory(filename)
global ahistory;
save(filename, '-mat');