% (C) Mario Guimaraes 01 Set 2001 

% Sinopse:
%   Faz uma pesquisa binaria do valor 'value' no vector 
%   'vec' (ordenado ascendentemente), e retorna o indice do
%   elemento de 'vec' menor ou igual a 'value'.

function idx = bsearch(value, vec)

linf = 1;
lsup = length(vec);

while linf <= lsup
    pos = floor((linf + lsup) / 2);
    elem = vec(pos);
    
    if elem < value
        linf = pos + 1;
    elseif elem > value
        lsup = pos - 1;
    else
        idx = pos;
        return
    end
end

idx = lsup;