% (C) Mario Guimaraes 24 Nov 2001

% Remove uma percentagem das subscries com menor peso.
function [asubjects, achosensubs] = filter_sub(asubjects, asubscriptions, aclients, aWeights)

global nsubjects natoms nminradius nmaxradius

if ~(nminradius == natoms & nminradius == nmaxradius) % if not subject-based ...
    nlensubs = size(asubscriptions,2);
    asumw = zeros(1, nlensubs);

    sid = 1;

    while sid <= nlensubs
        asumw(sid) = sum(aWeights(double(asubscriptions(1,sid)):double(asubscriptions(2,sid))));    
        sid = sid + 1;
    end

    [asumw, ndx] = sort(asumw);
    clear asumw;
    achosensubs = uint16(sort(ndx(fix((1 - 0.7) * nlensubs):end)));

    ahelper = zeros(1, nlensubs);
    ahelper(achosensubs) = 1;

    for sbj = 1:nsubjects
        asubs = asubjects{sbj};
        d = find(ahelper(asubs));
        asubjects{sbj} = asubs(d);
    end
else
    achosensubs = sort([asubjects{:}]);
end