% (C) Mario Guimaraes 24 Nov 2001

function aidxfound = findgen(filename, expr)

try
    load(strcat('runs\history\', filename, '.mat'));
catch
    error(sprintf('History file %s not found.', filename));
end

aidxfound = [];

for idx = 1:size(ahistory.genkey, 1)
    cini = ahistory.gencost(idx,1);
    cfin = ahistory.gencost(idx,2);
    v = (cini-cfin)/cini;

    if eval(expr)
        disp(sprintf('%4d %6d %6d %7.4f %s', idx, cini, cfin, v, ahistory.genkey{idx}));
        aidxfound = [aidxfound idx];
    end;
end