% (C) Mario Guimaraes 1 Nov 2001

function [agroup_clients, aunicast, amulticast] = prepare_test(sol, nSubsUnicast, nSubsMulticast, achosensubs, asubscriptions, aclients)

global ngroups

% Guarda subscricoes nao atribuidas a grupos
afilter = zeros(1, nSubsUnicast + nSubsMulticast);
afilter(achosensubs) = 1;
anchosensubs = find(~afilter);
clear afilter;
aunicast = [anchosensubs; asubscriptions(:,anchosensubs)];

% Guarda subscricoes atribuidas a grupos
amulticast = zeros(4, nSubsMulticast);
amulticast = [achosensubs; asubscriptions(:,achosensubs)];

agroup_clients = cell(ngroups, 1);
atmp = zeros(1, nSubsUnicast + nSubsMulticast);

for g = 1:ngroups
    asubIDs = sol{g};
    agroup_clients{g} = myunique([aclients{asubIDs}]); % Guarda a lista dos clientes de cada grupo
    atmp(asubIDs) = g;
end

amulticast(4,:) = atmp(find(atmp)); % Guarda os grupos a que foram atribuidas subscricoes