#include "union_bs_f.h"

void union_bs_f(USHORT *pSubs, UINT nSubs, ULONG *pBData)
{
	ULONG i;
	ULONG *ptr;

	for (i = 0; i < nSubs; ++i)
	{
        USHORT s_ = *pSubs++, e_ = *pSubs++;
		USHORT nones = e_ - s_; // bits to fill after r-bit
        USHORT q = s_ >> 5, r = s_ - (q << 5);

//		mexPrintf("\ns_=%d, e_=%d, q=%d, r=%d", s_, e_, q, r);
		
		ptr = pBData + q;

        if (r > 0)
		{
            USHORT d = ULONG_BITS - r; // bits to fill word after r-bit
    
            if (nones <= d)
			{
				*ptr++ |= (0xFFFFFFFFUL>>d-nones) & (0xFFFFFFFFUL<<r-1);
//				mexPrintf("\nbin1 =%u %u %u", (0xFFFFFFFFUL>>d-nones), (0xFFFFFFFFUL<<r-1), (0xFFFFFFFFUL>>d-nones) & (0xFFFFFFFFUL<<r-1));
                continue;
			}
            else
			{
                *ptr++ |= 0xFFFFFFFFUL<<r-1;
//				mexPrintf("\nbin2 =%u", 0xFFFFFFFFUL<<r-1);
                nones = nones - d;
			}
		}
        else
            *(ptr-1) |= 0x80000000UL;
        
        if (nones > 0)
		{
			USHORT q2 = nones >> 5;
			r = nones - (q2 << 5);

            if (q2 > 0)
			{
				USHORT j; 
				for (j = q+2; j <= q+1+q2; ++j)
					*ptr++ = 0xFFFFFFFFUL;
			}

            if (r > 0) {
				*ptr++ |= (1<<r) - 1;
//				mexPrintf("\nbin3 =%u", (1<<r) - 1);
			}
		}
	}

}
